com.io7m.jpra.model.types

## Interface TypeIntegerMatcherType<A,E extends Exception>

- Type Parameters:
    `A` - The type of returned values
    `E` - The type of raised exceptions
  All Known Implementing Classes:
    PackedFieldImplementationProcessor, PackedFieldInterfaceProcessor

      public interface TypeIntegerMatcherType<A,E extends Exception>

  The type of `integer` type expression matchers.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `A` | `matchIntegerSigned(TIntegerSigned t)` Match a `signed` type expression.
    `A` | `matchIntegerSignedNormalized(TIntegerSignedNormalized t)` Match an `signed-normalized` type expression.
    `A` | `matchIntegerUnsigned(TIntegerUnsigned t)` Match an `unsigned` type expression.
    `A` | `matchIntegerUnsignedNormalized(TIntegerUnsignedNormalized t)` Match an `unsigned-normalized` type expression.

- - ### Method Detail

    - #### matchIntegerUnsigned

          A matchIntegerUnsigned(TIntegerUnsigned t)
                          throws E extends Exception

      Match an `unsigned` type expression.
      Parameters:
        `t` - The type expression
      Returns:
        A value of `A`
      Throws:
        `E` - If required
        `E extends Exception`

    - #### matchIntegerSigned

          A matchIntegerSigned(TIntegerSigned t)
                        throws E extends Exception

      Match a `signed` type expression.
      Parameters:
        `t` - The type expression
      Returns:
        A value of `A`
      Throws:
        `E` - If required
        `E extends Exception`

    - #### matchIntegerSignedNormalized

          A matchIntegerSignedNormalized(TIntegerSignedNormalized t)
                                  throws E extends Exception

      Match an `signed-normalized` type expression.
      Parameters:
        `t` - The type expression
      Returns:
        A value of `A`
      Throws:
        `E` - If required
        `E extends Exception`

    - #### matchIntegerUnsignedNormalized

          A matchIntegerUnsignedNormalized(TIntegerUnsignedNormalized t)
                                    throws E extends Exception

      Match an `unsigned-normalized` type expression.
      Parameters:
        `t` - The type expression
      Returns:
        A value of `A`
      Throws:
        `E` - If required
        `E extends Exception`

Copyright © 2016 <code@io7m.com> http://io7m.com